//    Automatic Fruit Slicer
//When the force sensor is activated, it will  begin to run the code. the servo 
//motor will start rotating, it will rotate 10 degrees then 
//the DC motor will spin Clock-Wise(CW), bringing the blade
//down and slicing the food. The motor will spin CW for 3
//seconds and then CCW (bringing the blade back up) for 3 
//seconds,. The motor will then stop spinning and after 
//1 second the servo motor will rotate another 10 
//degrees. Once the user stops pushing down on the sensor and the sensor reads 0,
//then the DC motor will stop spinning and the servo will
//rotate back to it's initial position. There
//is also a button located on the breadboard which will be
//accessible and when it's pressed the device will speed up as well as increase the angle of rotation, thus giving larger slices to the user. 
//I will be using the L9110H H bridge for
//my device, however it's not on TinkerCad so I'm using the
//L293D H Bridge.



//Initial set-up

#include <Servo.h> // load servo library

Servo myservo;
  int PressurePin= A0;
  int force;
  int stopPin= 12;
  int angle=0;
  int fpin= 9;
  int bpin= 10;

void setup() {
  
  pinMode(PressurePin, INPUT);
  pinMode(stopPin, OUTPUT);
  pinMode(fpin, OUTPUT);
  pinMode(bpin, OUTPUT);
  
  myservo.attach(4);
  myservo.write(0);
  Serial.begin(9600);  
}

///////////////////////////////////////////////////////////

void loop()
  
{
  force= analogRead(PressurePin);//Reads the force on the sensor
  Serial.println(force); //Writes down force
  
  if (digitalRead(stopPin)== LOW) //Button is not pushed
    
  {
    
    if( force > 0) //Runs code when there's pressure on the sensor
    
      {
    
      angle= angle+10; //Angle is incremented everytime
      myservo.write(angle); //the servo adjusts to a new angle with each iteration
      delay(1500); //there's a 1.5 second pause 
      
    
      analogWrite(fpin, 255); //DC motor spins clockwise, brings blade down onto fruit
      analogWrite(bpin, 0);
      delay(3000); //spins for three seconds
    
    
      analogWrite(fpin, 0); 
      analogWrite(bpin, 255); //DC motor spins CCW, brings blade back up
      delay(3000); //spins for three seconds
      
    //DC motor doesn't spin for a second
      analogWrite(fpin, 0);
      analogWrite(bpin, 0); //DC Motor doesn't spin
      delay(1000); //one second delay
      }
    else //no pressure on force sensor
    {          
      angle=0; //Sets angle back to 0
      analogWrite(fpin, 0);
      analogWrite(bpin, 0); //DC motor does not spin
      myservo.write(0); //Servo returns to original position
    }
  }
  else //Button is pressed
    
    if( force > 0) //Runs code when there's pressure on the sensor

      {
      angle= angle+20; //Angle is incremented by twice the amount, results in bigger //slices
      myservo.write(angle); //the servo adjusts to a new angle with each iteration
      delay(500); //theres a 0.5 second pause 
      
    
      analogWrite(fpin, 255); //DC motor spins clockwise, brings blade down onto fruit
      analogWrite(bpin, 0);
      delay(1500); //spins for 1.5 seconds
    
    
      analogWrite(fpin, 0); 
      analogWrite(bpin, 255); //DC motor spins CCW, brings blade back up
      delay(1500); //spins for 1.5 seconds
      
    //DC motor doesn't spin for a second
      analogWrite(fpin, 0);
      analogWrite(bpin, 0); //DC Motor doesn't spin
      delay(1000); //one second delay
      }
    else //no pressure on force sensor
    {          
      //angle=0; //Sets angle back to 0
      analogWrite(fpin, 0);
      analogWrite(bpin, 0); //DC motor does not spin
      myservo.write(0); //Servo returns to original position
    }
  }


////////////////////////////////////////////////////////////////
